Subject: bug#39887: 26.3; Customize buffer does not show type expected

From: Drew Adams <[email-masked]>
Date: Tue, 3 Mar 2020 11:17:27 -0800 (PST)

> It would be great if the customize
> buffer shows which type of variable is expected. Although the :type
> keyword is included in the defcustom declaration, it is not shown in
> the
> customization buffer which type is expected. If the wrong type is
> filled
> in then the only error message given is "(mismatch)". Quite some
> package
> writers do not - additionally -  document their variables.

+1. Great idea.  The type declaration in the help
might also even be a link to the doc for :type.